//
//  HyXenProMeADBannerView.h
//  adWhilrSDK_iOS
//
//  Created by  on 2012/2/1.
//  Copyright (c) 2012年 Hyxen Tech Inc.. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "ALBannerViewDelegate.h"

@class ALTargeting;
typedef enum {
    AdLocusBannerAnimationTypeNone           = 0,
    AdLocusBannerAnimationTypeFlipFromLeft   = 1,
    AdLocusBannerAnimationTypeFlipFromRight  = 2,
    AdLocusBannerAnimationTypeCurlUp         = 3,
    AdLocusBannerAnimationTypeCurlDown       = 4,
    AdLocusBannerAnimationTypeSlideFromLeft  = 5,
    AdLocusBannerAnimationTypeSlideFromRight = 6,
    AdLocusBannerAnimationTypeFadeIn         = 7,
    AdLocusBannerAnimationTypeRandom         = 8,
} AdLocusBannerAnimationType;

@interface ALBannerView : UIView {
    
}
#pragma mark Pre-Request
@property (nonatomic) id<ALBannerViewDelegate> delegate;
@property (nonatomic, copy) NSString *key;
@property (nonatomic, strong) ALTargeting *targeting;

#pragma mark Ad Request

- (ALBannerView *)requestAdViewWithDelegate:(id<ALBannerViewDelegate>)delegate;

- (BOOL)canRefresh;
- (void)setBannerAnimationType:(AdLocusBannerAnimationType)type;
- (void)setAutoRefreshWithTime:(int)sec;
- (void)stopAutoRefresh;
- (void)isAdwhirl;

//For Unit Test
- (AdLocusBannerAnimationType)bannerAnimationType;
- (int)autoRefreshWithTime;

- (BOOL)isStopAutoRefresh;

@end




