//
//  ALTargeting.h
//  AdLocus
//
//  Created by Xion Liu on 2020/4/14.
//  Copyright © 2020 Hyxen Technology. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>

typedef NS_ENUM(NSInteger, ALGender) {
    GenderUnknow,
    GenderMale,
    GenderFemale
};

@interface ALTargeting : NSObject

@property (nonatomic) BOOL testMode;
@property (nonatomic) ALGender gender;
@property (nonatomic) int age;
@property (nonatomic) NSString *tag;
@property (nonatomic) CLLocation *location;

- (instancetype)initWithJsonString:(NSString *)jsonString;

- (NSString *)toJsonString;

@end
