#import <UIKit/UIKit.h>
#import "ALInterstitialVideoAd.h"
#import "ALVideoDelegate.h"

@class ALTargeting;
@interface ALVideo : NSObject

@property(nonatomic, strong) NSObject<ALVideoDelegate> *delegate;
@property(nonatomic, strong) ALTargeting *targeting;
@property(nonatomic, copy) NSString *key;

-(void) show;
-(void) load;
-(id) initWithViewController:(UIViewController *)controller
                    delegate:(id<ALVideoDelegate>)delegate;

@end
